Subject: bacillus thuringenius (Bt)
From: [email-masked] (Joseph Cooper)
Date: 23 Jun 1994 22:16:13 GMT
Newsgroups: alt.sustainable.agriculture

For some years, I have used Bt to cope with cabbage loopers, potato 
beetles, asparagus beetles and pine sawflies.

The 80 wettable powder used to cost less than a dollar a pound in four or 
five pound bags.  I recently priced the stuff at $4.50-6.00/pound.

As far as I know Bt has been used since the 1920's, so I have some 
trouble in understanding why it is now priced as if it were a newly 
patented miracle cure for ingrown toe nails.  

Are they any reasonably priced sources of the stuff?

--
                           ========================
                           Q: Where is it?   
                           A: It's [way] out there.
                           ========================